com.sap.security.um.user

## Class UnsupportedUserAttributeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sap.security.um.UMException
      - - com.sap.security.um.user.UnsupportedUserAttributeException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedUserAttributeException
      extends UMException

  Exception which is throw if an attribute should be read which is not supported by the user store.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedUserAttributeException(String technicalMessage)` Constructs a new Persistence Exception with the specified detail message.
    `UnsupportedUserAttributeException(String technicalMessage, Throwable thr)` Constructs a new Persistence Exception with the specified detail message and cause.
    `UnsupportedUserAttributeException(Throwable thr)` Constructs a new Persistence Exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedUserAttributeException

          public UnsupportedUserAttributeException(String technicalMessage)

      Constructs a new Persistence Exception with the specified detail message.
      Parameters:
        `technicalMessage` - - the detail message

    - #### UnsupportedUserAttributeException

          public UnsupportedUserAttributeException(Throwable thr)

      Constructs a new Persistence Exception with the specified cause.
      Parameters:
        `thr` - - the root cause for creating UnsupportedUserAttributeException.

    - #### UnsupportedUserAttributeException

          public UnsupportedUserAttributeException(String technicalMessage,
                                           Throwable thr)

      Constructs a new Persistence Exception with the specified detail message and cause.
      Parameters:
        `technicalMessage` - - the detail message
        `thr` - - the root cause for creating UnsupportedUserAttributeException.

Copyright © 2018 SAP. All Rights Reserved.